<?php
namespace BitbyteInstagram;
require "../vendor/autoload.php";
require 'db.php';

use GuzzleHttp\Client;
use BitbyteInstagram\DB;

class Instagram
{
    protected $client;

    public $response;
    /**
     * Create a new Instagram Instance
     */
    public function __construct()
    {
        $this->client = new Client;
    }

    public function authorize()
    {
        $query = [
            'client_id' => Config::CLIENT_ID,
            'redirect_uri' => Config::REDIRECT_URI,
            'scope' => Config::SCOPE,
            'response_type' => 'code'
        ];

        header("Location: ".Config::BASE_URL.'oauth/authorize?'.http_build_query($query));
        /*$this->response = $this->client->request('GET', Config::BASE_URL.'oauth/authorize', [
            'query' => [
                'client_id' => Config::CLIENT_ID,
                'redirect_uri' => Config::REDIRECT_URI,
                'scope' => Config::SCOPE,
                'response_type' => 'code'
            ]
        ]);*/
    }

    public function access_token($code)
    {
        $response = $this->client->request('POST', Config::BASE_URL.'oauth/access_token', [
            'form_params' => [
                'client_id' => Config::CLIENT_ID,
                'client_secret' => Config::CLIENT_SECRET,
                'grant_type' => "authorization_code",
                'redirect_uri' => Config::REDIRECT_URI,
                'code' => $code
            ]
        ]);
        $responseCode = $response->getStatusCode();
        $response = $response->getBody()->getContents();
        $response = json_decode($response);
        $res = false;
        if( !empty($response->access_token) ) {
            $db = new DB;
            $res = $db->updateData('UPDATE `tokens` SET `access_token` = "'.$response->access_token.'" where `id` = :id', ['id' => 1]);
            // add entry to database for token
        }
        return $res;
        // print_r($response);
        // exit;
        /*curl -X POST \
          https://api.instagram.com/oauth/access_token \
          -F client_id=629491194287220 \
          -F client_secret=e83d8041681abee7ce61dd14f8796af8 \
          -F grant_type=authorization_code \
          -F redirect_uri=https://elevationdevelopments.ca/dev/cron/instagram-auth.php \
          -F code=AQBGKaVXQRNV7wgaxfCnMTRM76qRL_6Zcaa9qoZGps4pp93xxC2pzH3j9ha_8EQnd4IrrVKNDXh8h8cqxetDgnmqXR5RBI-478RWNOuxKpzBBxGO0Njiq_Bm5uHeGpTIlD3ZAzYXoipztTGkFbxjbXm6CoHv9IF8a05IntIHOD8kJ3njTLVsoL1kXCG8pGk9bW1ErYaIPHDEigN6Cc4InAs6lYmV-T4SSNkbGxZiwUjooQ
          */
    }

    // get long term token
    public function exchange_token()
    {
        $token = $this->getToken();
        if( !empty($token) ) {
            $response = $this->client->request('GET', Config::GRAPHAPI_URL.'access_token', [
                'query' => [
                    'grant_type' => 'ig_exchange_token',
                    'client_secret' => Config::CLIENT_SECRET,
                    'access_token' => $token
                ]
            ]);
            $responseCode = $response->getStatusCode();
            $response = $response->getBody()->getContents();
            $response = json_decode($response);
            $res = false;
            if( !empty($response->access_token) ) {
                $db = new DB;
                $res = $db->updateData('UPDATE `tokens` SET `access_token` = "'.$response->access_token.'" where `id` = :id', ['id' => 1]);
                // add entry to database for token
            }
            return $res;
        }
        return false;
        /*
        GET https://graph.instagram.com/access_token
          ?grant_type=ig_exchange_token
          &client_secret=e83d8041681abee7ce61dd14f8796af8
          &access_token=IGQVJXeDF0UTVTb3BtU0JROWNER3hyVHRxSlQ5ZAHBfWG1YQVdhZAGxzSjR3S0dVLWNQMlZACS0c1Ym1jUC00TGdqYldDeWRSVkFTR2JhdGlwOXNsR3NmZA2NUeFNuWE82WUowY0l0VFBYNWdUVWlESEY1d0xfYy1nV18zdTB3
        */
    }

    // refresh token
    public function refresh_access_token()
    {
        $token = $this->getToken();
        if( !empty($token) ) {
            $response = $this->client->request('GET', Config::GRAPHAPI_URL.'refresh_access_token', [
                'query' => [
                    'grant_type' => 'ig_refresh_token',
                    'access_token' => $token
                ]
            ]);
            $responseCode = $response->getStatusCode();
            $response = $response->getBody()->getContents();
            $response = json_decode($response);
            $res = false;
            if( !empty($response->access_token) ) {
                $db = new DB;
                $res = $db->updateData('UPDATE `tokens` SET `access_token` = "'.$response->access_token.'" where `id` = :id', ['id' => 1]);
                // add entry to database for token
            }
            // echo '<pre>'; print_r($response); exit;
            return $res;
        }
        return false;
        /*
        GET https://graph.instagram.com/refresh_access_token
          ?grant_type=ig_refresh_token
          &access_token={long-lived-access-token}
        */
    }

    public function getToken()
    {
        $db = new DB;
        $_sql = "SELECT * FROM tokens WHERE id = 1";
        $data = $db->getData($_sql);
        if( !empty($data[0]->access_token) ) return $data[0]->access_token;
        
        return "";
    }

    public function getMedia()
    {
        $token = $this->getToken();
        if( !empty($token) ) {

            $response = $this->client->request('GET', Config::GRAPHAPI_URL.'me/media', [
                'query' => [
                    'fields' => 'id, caption, media_type, media_url, permalink, thumbnail_url, timestamp, username',
                    'access_token' => $token
                ]
            ]);
            $responseCode = $response->getStatusCode();
            if( $responseCode == 200 ) {
                $response = $response->getBody()->getContents();
                return json_decode($response);
            }
            return "Some error occured. Please try again.";
        }
        return "Token not found";
    }

}
