<?php
namespace BitbyteInstagram;
require 'config.php';
use BitbyteInstagram\Config;
use PDO;

class DB {

    protected $dbh;

    public function __construct()
    {
        try {
            $this->dbh = new PDO("mysql:host=".Config::DBHOST.";dbname=".Config::DBNAME,Config::DBUSER, Config::DBPASSWORD);
        } catch (PDOException $e) {
            throw new Exception("Could not connect to mysql database: " . $e->getMessage());
        }
    }

    public function getData($sql)
    {
        // Prepare the query:
        $query = $this->dbh->prepare($sql);
        // Execute the query:
        $query->execute();
        // Assign the data which you pulled from the database (in the preceding step) to a variable.
        $results = $query->fetchAll(PDO::FETCH_OBJ);
        return $results;
    }

    public function insertData($sql, $bind = [])
    {
        try {
            $statement = $this->dbh->prepare($sql);

            $statement->execute($bind);
            return true;
        } catch(PDOException $e) {
            throw new Exception("Some error occured while insert: " . $e->getMessage());
        }
    }

    public function updateData($sql, $bind = [])
    {
        try {

            $statement = $this->dbh->prepare($sql);

            foreach ($bind as $key => $val) {
                $param = is_numeric($key) ? $key + 1 : ':' . $key;
                $statement->bindValue($param, $val);
            }

            $statement->execute();

            return $statement->rowCount();

        } catch (\Throwable $e) {
            throw $e;
        }
    }
}

