<?php

/**
 * Displays site name.
 */
function site_name()
{
    echo config('name');
}

/**
 * Displays site url provided in conig.
 */
function site_url()
{
    echo config('site_url');
}

/**
 * Displays site version.
 */
function site_version()
{
    echo config('version');
}

/**
 * Facebook link.
 */
function get_fb_link()
{
    echo config('facebook_link');
}

/**
 * Twitter link.
 */
function get_twitter_link()
{
    echo config('twitter_link');
}

/**
 * Linkedin link.
 */
function get_linkedin_link()
{
    echo config('linkedin_link');
}

/**
 * Instagram link.
 */
function get_insta_link()
{
    echo config('instagram_link');
}

/**
 * Client Email.
 */
function get_client_email()
{
    echo config('client_email');
}

/**
 * Check page is active.
 */
function is_active($_page)
{
    $page = isset($_GET['page']) ? $_GET['page'] : 'home';
    echo $page == $_page ? 'home' : '';
}

function location_page()
{
    $page = get_page_name();
    if( $page == 'locations' || $page == 'home' ) {
        $return = '<script type="text/javascript" src="'.config('site_url').'/template/assets/js/jquery-migrate-1.2.1.min.js"></script>
        <script src="'.config('site_url').'/template/assets/js/bootstrap-select.min.js"></script>
        <script src="'.config('site_url').'/template/assets/js/richmarker-compiled.js"></script>
        <script src="'.config('site_url').'/template/assets/js/markerclusterer_packed.js"></script>
        <script src="'.config('site_url').'/template/assets/js/infobox.js"></script>
        <script src="'.config('site_url').'/template/assets/js/jquery.trackpad-scroll-emulator.min.js"></script>
        <script src="'.config('site_url').'/template/assets/js/location.js"></script>
        <script src="'.config('site_url').'/template/assets/js/maps.js"></script>
        <script>
        $(document).ready(function($) {
            $(document).on("change", "#select_city", function(e) {
                $("[data-ajax-response=\'map\']").click();
                });
                if( $(".tse-scrollable").length ){
                    $(".tse-scrollable").TrackpadScrollEmulator();
                }
                heroSectionHeight();
                });
                </script>
                <script>
                var optimizedDatabaseLoading = 0;
                var _latitude = 43.07;
                var element = "map-homepage";
                var markerTarget = "modal"; // use "sidebar", "infobox" or "modal" - defines the action after click on marker
                var sidebarResultTarget = "modal"; // use "sidebar", "modal" or "new_page" - defines the action after click on marker
                var showMarkerLabels = false; // next to every marker will be a bubble with title';
                if( $page == 'home' ) {
                    $return .= '
                    var _longitude = -79.19;
                    var mapDefaultZoom = 13; // default zoom';
                } else {
                    $return .= '
                    var _longitude = -79.16;
                    var mapDefaultZoom = 13; // default zoom';
                }
                $return .= '
                heroMap(_latitude,_longitude, element, markerTarget, sidebarResultTarget, showMarkerLabels, mapDefaultZoom);
                </script>';
                echo $return;
            }
        }

/**
 * Check page is service page.
 */
function is_service_page()
{
    $page = isset($_GET['page']) ? $_GET['page'] : 'home';
    echo (in_array($page, get_service_pages()) ? 'home' : '');
}

/**
 * Service pages list.
 */
function get_service_pages()
{
    $_service_pages = array(
        'services#commercial', 'residential', 'renovations',
        'project-management', 'institutional'
    );
    return $_service_pages;
}

/**
 * page has map or not
 */
function is_page_has_map()
{
    return true;
    $_maps_pages = array('home');
    return in_array(get_page_name(), $_maps_pages) ? true : false;
}

/**
 * Website navigation.
 */
function nav_menu($sep = ' | ')
{
    $nav_menu = '';
    $nav_items = config('nav_menu');
    foreach ($nav_items as $uri => $name) {
        $class = str_replace('page=', '', $_SERVER['QUERY_STRING']) == $uri ? ' active' : '';
        $url = config('site_url') . '/' . (config('pretty_uri') || $uri == '' ? '' : '?page=') . $uri;

        $nav_menu .= '<a href="' . $url . '" title="' . $name . '" class="item ' . $class . '">' . $name . '</a>' . $sep;
    }

    echo trim($nav_menu, $sep);
}

/**
 * Displays page title. It takes the data from
 * URL, it replaces the hyphens with spaces and
 * it capitalizes the words.
 */
function page_title()
{
    $page = isset($_GET['page']) ? htmlspecialchars($_GET['page']) : 'Home';

    echo ucwords(str_replace('-', ' ', $page));
}

/**
 * Displays page content. It takes the data from
 * the static pages inside the pages/ directory.
 * When not found, display the 404 error page.
 */
function page_content()
{
    $page = isset($_GET['page']) ? $_GET['page'] : 'home';

    $path = getcwd() . '/' . config('content_path') . '/' . $page . '.phtml';

    if (! file_exists($path)) {
        $path = getcwd() . '/' . config('content_path') . '/404.phtml';
    }

    ob_start();
    include $path;
    $output = ob_get_clean();
    echo $output;
    // echo file_get_contents($path);
}

/**
 * Get Page name
 */
function get_page_name()
{
    return isset($_GET['page']) ? $_GET['page'] : 'home';
}

/**
* Redirect http to https
*/
function redirectTohttps() {

    if( !array_key_exists('HTTPS', $_SERVER) || $_SERVER['HTTPS'] != "on" ) {

        $redirect= "https://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];

        header("Location:$redirect");
    }
}

/**
 * Starts everything and displays the template.
 */
function init()
{
    require config('template_path') . '/template.php';
}

/**
* Get the instagram feeds
*/
function getInstagramFeeds()
{
    require __DIR__.'/../cron/db.php';
    $db = new BitbyteInstagram\DB;

    $_sql = "SELECT * FROM instagram_feeds WHERE media_type!='VIDEO' ORDER BY insta_timestamp DESC LIMIT 3";
    $data = $db->getData($_sql);
    return $data;
    // print_r($data); exit;
}

function time_elapsed_string($datetime, $full = false) {
    $now = new DateTime;
    $ago = new DateTime($datetime);
    $diff = $now->diff($ago);
    if( $diff->days > 90 ) {
        return date('F j, Y', strtotime($datetime));
    }

    $diff->w = floor($diff->d / 7);
    $diff->d -= $diff->w * 7;

    $string = array(
        'y' => 'year',
        'm' => 'month',
        'w' => 'week',
        'd' => 'day',
        'h' => 'hour',
        'i' => 'minute',
        's' => 'second',
    );
    foreach ($string as $k => &$v) {
        if ($diff->$k) {
            $v = $diff->$k . ' ' . $v . ($diff->$k > 1 ? 's' : '');
        } else {
            unset($string[$k]);
        }
    }

    if (!$full) $string = array_slice($string, 0, 1);
    return $string ? implode(', ', $string) . ' ago' : 'just now';
}
