<!DOCTYPE html>
<!--[if IE 8 ]><html class="ie" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US"><!--<![endif]-->
<head>
    <!-- Basic Page Needs -->
    <meta charset="utf-8">
    <!--[if IE]><meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'><![endif]-->
    <title><?php page_title(); ?> | <?php site_name(); ?></title>

    <!-- Mobile Specific Metas -->
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

    <!-- <link rel="stylesheet" type="text/css" href="<?php site_url(); ?>/template/assets/css/trackpad-scroll-emulator.css"> -->
    <!-- Bootstrap  -->
    <link rel="stylesheet" type="text/css" href="<?php site_url(); ?>/template/assets/css/bootstrap.css" >

    <!-- Theme Style -->
    <link rel="stylesheet" type="text/css" href="<?php site_url(); ?>/template/assets/css/style.css">

    <!-- Responsive -->
    <link rel="stylesheet" type="text/css" href="<?php site_url(); ?>/template/assets/css/responsive.css">

    <!-- Animation Style -->
    <link rel="stylesheet" type="text/css" href="<?php site_url(); ?>/template/assets/css/animate.css">

    <!-- Custom Style -->
    <link rel="stylesheet" type="text/css" href="<?php site_url(); ?>/template/mystyle.css">

    <!-- Favicon and touch icons  -->
    <link href="<?php site_url(); ?>/template/assets/icon/favicon.png" rel="apple-touch-icon-precomposed" sizes="48x48">
    <link href="<?php site_url(); ?>/template/assets/icon/favicon.png" rel="apple-touch-icon-precomposed">
    <link href="<?php site_url(); ?>/template/assets/icon/favicon.png" rel="shortcut icon">

    <!--[if lt IE 9]>
        <script src="<?php site_url(); ?>/template/assets/js/html5shiv.js"></script>
        <script src="<?php site_url(); ?>/template/assets/js/respond.min.js"></script>
    <![endif]-->
</head>

<body class="header-sticky">

    <section class="loading-overlay">
        <div class="Loading-Page">
            <h2 class="loader">Loading...</h2>
        </div>
    </section>

    <!-- Boxed -->
    <div class="boxed">
        <div class="top">
            <div class="container">
                <div class="row">
                    <div class="col-md-12 text-center">
                        <div class="language">
                            <ul class="flat-information">
                                <li class="email"><a href="mailto:<?php get_client_email(); ?>"><?php get_client_email(); ?></a></li>
                                <li class="phone"><a href="18773159191">1 877-315-9191</a></li>
                                <span class="facebook"><a href="<?php get_fb_link(); ?>" target="_blank" title="Facebook"><i class="fa fa-facebook-square"></i></a></span>
                                <span class="twitter"><a href="<?php get_twitter_link(); ?>" target="_blank" title="Twitter"><i class="fa fa-twitter"></i></a></span>
                                <span class="instagram"><a href="<?php get_insta_link(); ?>" target="_blank" title="Instagram"><i class="fa fa-instagram"></i></a></span>
                                <span class="linkedin"><a href="<?php get_linkedin_link(); ?>" target="_blank" title="Linkedin"><i class="fa fa-linkedin"></i></a></span>
                            </ul>
                        </div><!-- /.language -->
                    </div><!-- /.col-md-12 -->
                </div><!-- /.row -->
            </div><!-- /.container -->
        </div><!-- /.top -->

        <!-- Header -->
        <header id="header" class="header clearfix">
            <div class="header-wrap clearfix">
                <div id="logo" class="logo">
                    <a href="<?php site_url(); ?>" rel="home">
                        <img src="<?php site_url(); ?>/template/assets/images/logo.png" alt="image">
                    </a>
                </div><!-- /.logo -->
                <div class="nav-wrap">
                    <div class="btn-menu"></div><!-- //mobile menu button -->
                    <nav id="mainnav" class="mainnav">
                        <ul class="menu">
                            <li class="<?php is_active('home') ?>">
                                <a href="<?php site_url(); ?>">Home</a>
                            </li>
                            <!-- <li><a href="<?php site_url(); ?>/about-us">About Us</a></li> -->
                            <li class="<?php is_active('services') ?>"><a href="javascript:void(0)">Services</a>
                                <ul class="submenu">
                                    <li><a href="<?php site_url(); ?>/services#commercial" class="service_tab" _href="commercial">COMMERCIAL</a></li>
                                    <li><a href="<?php site_url(); ?>/services#residential" class="service_tab" _href="residential">RESIDENTIAL</a></li>
                                    <li><a href="<?php site_url(); ?>/services#renovations" class="service_tab" _href="renovations">RENOVATIONS</a></li>
                                    <li><a href="<?php site_url(); ?>/services#project-management" class="service_tab" _href="project-management">PROJECT MANAGEMENT</a></li>
                                    <li><a href="<?php site_url(); ?>/services#institutional" class="service_tab" _href="institutional">INSTITUTIONAL</a></li>
                                    <li><a href="<?php site_url(); ?>/services#healthcare" class="service_tab" _href="healthcare">HEALTHCARE FACILITIES</a></li>
                                </ul><!-- /.submenu -->
                            </li>
                            <li class="<?php is_active('portfolio') ?>"><a href="<?php site_url(); ?>/portfolio">PORTFOLIO</a></li>
                            <li class="<?php is_active('contact-us') ?>"><a href="<?php site_url(); ?>/contact-us">CONTACT US</a></li>
                        </ul><!-- /.menu -->
                    </nav><!-- /.mainnav -->
                </div><!-- /.nav-wrap -->
                <!-- <div class="show-search">
                    <a href="#"><i class="fa fa-search"></i></a>
                </div> --><!-- /.show-search -->
            </div><!-- /.header-inner -->
        </header><!-- /.header -->

        <?php page_content(); ?>

        <!-- Footer -->
        <footer class="footer">
            <div class="footer-widgets">
                <div class="container">
                    <div class="row">

                        <div class="col-md-6">
                            <div class="widget widget_text">
                                <h4 class="widget-title">about us</h4>
                                <div class="textwidget">
                                    <p class="txt-justify">Elevation Contracting and Developments is a respected commercial and residential contractor offering professional and high quality service. We strive on putting our clients first. Our focus is on ensuring we go above and beyond to deliver exceptional workmanship and exceeding expectations through exceptional performance by every member of our team.</p>
                                </div><!-- /.textwidget -->
                            </div><!-- /.widget -->
                        </div><!-- /.col-md-6 -->

                        <div class="col-md-2">
                            <div class="widget widget-categories">
                                <h4 class="widget-title">NAVIGATE</h4>
                                <ul>
                                    <li><a href="<?php site_url(); ?>/services#commercial" class="service_tab" _href="commercial">Commercial</a></li>
                                    <li><a href="<?php site_url(); ?>/services#residential" class="service_tab" _href="residential">Residential</a></li>
                                    <li><a href="<?php site_url(); ?>/services#renovations" class="service_tab" _href="renovations">Renovations</a></li>
                                    <li><a href="<?php site_url(); ?>/services#healthcare" class="service_tab" _href="healthcare">Healthcare Facilities</a></li>
                                    <li><a href="<?php site_url(); ?>/contact-us">Contact US</a></li>
                                </ul>
                            </div>
                        </div><!-- /.col-md-2 -->

                        <div class="col-md-4">
                            <div class="widget widget-tweets">
                                <h4 class="widget-title">ELEVATION UPDATES</h4>
                                <?php $feeds = getInstagramFeeds();
                                if( count($feeds) > 0 ):
                                foreach ($feeds as $feed) { ?>
                                    <div class="card-view">
                                        <div class="r-layout">
                                            <div class="r-img cm-sm">
                                                <a href="<?php echo $feed->permalink; ?>" target="_blank">
                                                    <img src="<?php echo $feed->media_url; ?>" alt="<?php echo $feed->caption; ?>">
                                                </a>
                                            </div>
                                            <div class="r-content">
                                                <a href="<?php echo $feed->permalink; ?>" target="_blank"><h4 class="title" data-animation="true" data-toggle="tooltip" data-placement="top" title="<?php echo $feed->caption; ?>"><?php echo substr($feed->caption, 0, 115); ?></h4></a>
                                                <p><?php echo time_elapsed_string($feed->insta_timestamp); ?></p>
                                                <!-- <p class="color-text">Get upto 30% scholarsip !</p> -->
                                            </div>
                                        </div>
                                    </div>
                                <?php }
                            else:
                                echo '<p>No Feeds Found.</p>';
                            endif;
                                ?>
                            </div><!-- /.widget -->
                        </div><!-- /.col-md-4 -->

                    </div><!-- /.row -->
                </div><!-- /.container -->
            </div><!-- /.footer-widgets -->
        </footer>

        <!-- Bottom -->
        <div class="bottom">
            <div class="container">
                <div class="row">
                    <div class="col-md-5 text-left">
                        <div class="copyright">
                            <p>© Copyright 2020. All Rights Reserved.
                            </p>
                        </div>
                    </div><!-- /.col-md-6 -->
                    <div class="col-md-4 text-right">
                        <div class="copyright">
                            <p><a href="<?php site_url(); ?>/privacy-policy">Privacy Policy</a></p>
                        </div>
                    </div><!-- /.col-md-6 -->
                </div><!-- /.row -->
            </div><!-- /.container -->
        </div>

        <!-- Go Top -->
        <a class="go-top">
            <i class="fa fa-angle-up"></i>
        </a>

        </div><!-- /.boxed -->

    <!-- Javascript -->
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/jquery.min.js"></script>
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/jquery.easing.js"></script>
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/imagesloaded.min.js"></script>
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/jquery.isotope.min.js"></script>
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/owl.carousel.js"></script>
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/jquery.flexslider-min.js"></script>
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/jquery-waypoints.js"></script>
    <!-- <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/jquery.cookie.js"></script> -->
    <!-- <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?sensor=false"></script> -->
    <!-- <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/gmap3.min.js"></script> -->
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/jquery.fitvids.js"></script>
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/parallax.js"></script>
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/smoothscroll.js"></script>
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/main.js"></script>

    <!-- Revolution Slider -->
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/jquery.themepunch.tools.min.js"></script>
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/jquery.themepunch.revolution.min.js"></script>
    <script type="text/javascript" src="<?php site_url(); ?>/template/assets/js/slider.js"></script>
    <script type="text/javascript">
        function isNumberOrSpaceKey(evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode > 32
                && (charCode < 48 || charCode > 57 ))
                return false;

            return true;
        }

        function addServicePageData() {
            var _url = window.location.href;
            var _split_data = _url.split("/");
            var _last_page = _split_data[_split_data.length-1];

            if( _last_page.includes('#') ) {
                let _id = _last_page.split("#");
                // console.log(_id[1]);

                var position = $('#'+_id[1]).offset().top;
                var _pos = position - 160;
                $("body, html").animate({
                    scrollTop: _pos
                }, 2000 );
            }
            // console.log(_split_data);
            // console.log(_url);
        }
        addServicePageData();

        $(".service_tab").click(function(e) {
            var _url = window.location.href;
            var _split_data = _url.split("/");
            var _last_page = _split_data[_split_data.length-1];

            if( _last_page.includes('#') ) {
                e.preventDefault();
                var position = $('#'+$(this).attr("_href")).offset().top;
                var _pos = position - 70;
                $("body, html").animate({
                    scrollTop: _pos
                }, 2000 );
            }
            $('.btn-menu').trigger('click');
        });

        $( document ).ready(function() {
            
            $('[data-toggle="tooltip"]').tooltip();

            var $sticky = $('.sticky');
            var $stickyrStopper = $('.sticky-stopper');
            if (!!$sticky.offset()) { // make sure ".sticky" element exists

                var generalSidebarHeight = $sticky.innerHeight();
                var stickyTop = $sticky.offset().top;
                var stickOffset = 120;
                var stickyStopperPosition = $stickyrStopper.offset().top;
                var stopPoint = stickyStopperPosition - generalSidebarHeight - stickOffset;
                var diff = stopPoint + stickOffset;

                $(window).scroll(function(){ // scroll event
                    var windowTop = $(window).scrollTop(); // returns number

                    if (stopPoint < windowTop) {
                        $sticky.css({ position: '', top: 0 });
                    } else if (stickyTop < windowTop+stickOffset) {
                        $sticky.css({ position: 'fixed', top: stickOffset });
                    } else {
                        $sticky.css({position: 'absolute', top: 'initial'});
                    }
                });
            }
        });

        $(document).ready(function(){

            $(document).on("submit", "#contact-form", function(e) {
                e.preventDefault();
                $('#contact-alert-success').addClass('hide');
                $('#contact-alert-error').addClass('hide');
                $('#submit').html('SEND <i class="fa fa-circle-o-notch fa-spin"></i>');
                // submit contact form
                $.ajax({
                    url: "<?php site_url() ?><?php echo '/includes/contact/contact-process.php'; ?>",
                    type: "POST",
                    dataType: "JSON",
                    data: $(this).serialize(),
                    success: function(res) {
                        if( res.status == true ) {
                            // show success message and empty all fields
                            $('#contact-alert-success').append('<strong>Success!</strong> '+res.msg).removeClass('hide');
                            $('#fname').val('');
                            $('#lname').val('');
                            $('#email').val('');
                            $('#phone').val('');
                            $('#message').val('');
                        } else {
                            $('#contact-alert-error').append('<strong>Error!</strong> '+res.msg).removeClass('hide');
                        }
                        $('#submit').html('SEND');
                    }
                }); // end ajax
            });

        });
    </script>
</body>
</html>
